# 選股指標

`GET` `/v1/quote/ai/screener/indicators`

獲取[選股器](https://longbridge.com/screener) 支持的所有指標定義，包含鍵值、名稱、單位和可用範圍，可用於構建自定義篩選條件。

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/ai/screener/indicators' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `groups` | object[] | No | 指標分組 |
| `└ group_type` | string | No | 分組類型。 |
| `└ group_name` | string | No | 分組名稱 |
| `└ indicators` | object[] | No | 該分組下的指標 |
| `└ ∟ id` | integer | No | 指標 ID（字符串類型） |
| `└ ∟ key` | string | No | 指標鍵名，如 `filter_pettm`。 |
| `└ ∟ name` | string | No | 指標顯示名稱 |
| `└ ∟ places` | integer | No | 小數位數。 |
| `└ ∟ category` | integer | No | 公司類別 |
| `└ ∟ tech_indicators` | array | No | 技術指標選項。 |
| `└ ∟ default_range` | object | No | 默認取值區間。 |
| `└ ∟ unit` | string | No | 單位（如 `%`、` 億`） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "groups": [
      {
        "group_name": "Company Size & Financials",
        "indicators": [
          {
            "id": "1",
            "key": "marketcap",
            "name": "Market Cap",
            "unit": "B",
            "min": null,
            "max": null
          }
        ]
      }
    ]
  }
}
```
